.inner-dialog {
	position: fixed;
	top: 0;
    left: 0;
	width: 100%;
	height: 100vh;

	backdrop-filter: blur(10px);

	display: flex;
	align-items: center;
	justify-content: center;

	& > div {
		background: var(--box-detail-color);
		border: var(--box-detail-color2) 1px solid;
		border-radius: 0.5em;
		box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
	}
}

.inner-dialog-header {
	font-size: 1.25em;
	text-align: center;
	font-weight: bold;

	border-bottom: var(--box-detail-color2) 1px solid;
	padding: 0.3em;
	padding-bottom: 0.25em;

	clear: both;

	& > .close {
		$close-color: rgb(196, 55, 55);

		background: #{$close-color};
		border-radius: 50%;
		float: right;

		display: flex;
		align-items: center;
		justify-content: center;

		font-size: 0.6em;
		width: 1.8em;
		height: 1.8em;

		cursor: pointer;

		&:hover {
			background: #{darken($close-color, 10%)};
		}
	}
}

.inner-dialog-content {
	padding: 0.3em;
}
